"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const toolingApi_1 = require("./toolingApi");
const metadata_registry_1 = require("../metadata-registry");
const metadataApi_1 = require("./metadataApi");
/**
 * Transfer SFDX source to and from a Salesforce org.
 */
class SourceClient {
    constructor(connection, resolver = new metadata_registry_1.MetadataResolver()) {
        this.connection = connection;
        this.tooling = new toolingApi_1.ToolingApi(connection, resolver);
        this.metadata = new metadataApi_1.MetadataApi(connection, resolver);
    }
}
exports.SourceClient = SourceClient;
//# sourceMappingURL=sourceClient.js.map