import { MetadataComponent } from '../common';
import { RegistryAccess, TreeContainer } from '../metadata-registry';
import { ComponentSet } from './componentSet';
export interface PackageTypeMembers {
    name: string;
    members: string[];
}
export interface PackageManifestObject {
    Package: {
        types: PackageTypeMembers[];
        version: string;
    };
}
export interface ComponentSetOptions {
    registry?: RegistryAccess;
}
export interface FromSourceOptions extends ComponentSetOptions {
    tree?: TreeContainer;
}
export interface FromManifestOptions extends FromSourceOptions {
    resolve?: Iterable<string>;
    literalWildcard?: boolean;
}
export interface SourceComponentOptions {
    tree?: TreeContainer;
    filter?: MetadataComponent[] | ComponentSet;
}
